Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexBuilderExt

    java.lang.Object
      com.hp.hpl.jena.query.larq.IndexBuilderBase
          com.hp.hpl.jena.query.larq.IndexBuilderExt

All Implemented Interfaces:
  IndexBuilder

    public class IndexBuilderExt

extends IndexBuilderBase

Helper class for index creation from external content. Once completed, the index builder should be closed for writing, then the getIndex() called. To update the index once closed, the application should create a new index builder. Any index readers (e.g. IndexLARQ objects) need to be recreated and registered.

Author:
  Andy Seaborne

Constructor Summary
`IndexBuilderExt()` Create an in-memory index
`IndexBuilderExt(java.io.File fileDir)` Create an on-disk index
`IndexBuilderExt(org.apache.lucene.index.IndexWriter existingWriter)` Manage a Lucene index that has already been created
`IndexBuilderExt(java.lang.String fileDir)` Create an on-disk index

Method Summary
`void` | `index(com.hp.hpl.jena.rdf.model.RDFNode rdfNode, java.io.Reader indexStream)`
`void` | `index(com.hp.hpl.jena.rdf.model.RDFNode rdfNode, java.lang.String indexStr)`

Methods inherited from class com.hp.hpl.jena.query.larq.IndexBuilderBase
`closeForWriting, closeForWriting, closeWriter, closeWriter, flushWriter, getIndex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexBuilderExt

    public IndexBuilderExt()

  Create an in-memory index

### IndexBuilderExt

    public IndexBuilderExt(org.apache.lucene.index.IndexWriter existingWriter)

  Manage a Lucene index that has already been created

### IndexBuilderExt

    public IndexBuilderExt(java.io.File fileDir)

  Create an on-disk index

### IndexBuilderExt

    public IndexBuilderExt(java.lang.String fileDir)

  Create an on-disk index

Method Detail

### index

    public void index(com.hp.hpl.jena.rdf.model.RDFNode rdfNode,
                      java.lang.String indexStr)

### index

    public void index(com.hp.hpl.jena.rdf.model.RDFNode rdfNode,
                      java.io.Reader indexStream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP